import { Ref, DeepReadonly } from 'vue-demi';
import { MutationFilters as MutationFilters$1, MutationState, Mutation, DefaultError } from '@tanstack/query-core';
import { QueryClient } from './queryClient.cjs';
import { MaybeRefDeep } from './types.cjs';

type MutationFilters = MaybeRefDeep<MutationFilters$1>;
declare function useIsMutating(filters?: MutationFilters, queryClient?: QueryClient): Ref<number>;
type MutationStateOptions<TResult = MutationState> = {
    filters?: MutationFilters;
    select?: (mutation: Mutation<unknown, DefaultError, unknown, unknown>) => TResult;
};
declare function useMutationState<TResult = MutationState>(options?: MutationStateOptions<TResult>, queryClient?: QueryClient): DeepReadonly<Ref<Array<TResult>>>;

export { type MutationFilters, type MutationStateOptions, useIsMutating, useMutationState };
